Subject: Re: text type

From: Avi Pfeffer <[email-masked]>
Date: Wed, 25 Aug 1993 01:14:32 -0700

[email-masked] (James Woods) writes :
> I have a user defined function written in C which takes an argument of
> type text.  When the backend passes this argument in, is the string
> that is passed in NULL terminated?  I have a feeling that it doesn't as
> my function appears to be producing data with garbage on the and of the
> strings.

> If it is not NULL terminated what is the correct way to create a NULL
> terminated string out of it so that I can use the normal str functions
> on it?

Type text is NOT a null-terminated string.  To convert it to one use
textout.

avi